org.gradle.nativeplatform

## Interface FlavorContainer

- All Superinterfaces:
    Collection<Flavor>, org.gradle.util.Configurable<NamedDomainObjectContainer<Flavor>>, DomainObjectCollection<Flavor>, Iterable<Flavor>, NamedDomainObjectCollection<Flavor>, NamedDomainObjectContainer<Flavor>, NamedDomainObjectSet<Flavor>, Set<Flavor>

      @Incubating
      public interface FlavorContainer
      extends NamedDomainObjectContainer<Flavor>

  A container of `Flavor`s.

  If no flavor is explicitly configured, will contain a single `Flavor` named 'default'. Any flavors explicitly configured will overwrite the default flavor.

- - ### Method Summary

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectContainer

      `configure, create, create, create, maybeCreate`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectSet

      `findAll, matching, matching, withType`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectCollection

      `add, addAll, addRule, addRule, addRule, findByName, getAsMap, getAt, getByName, getByName, getByName, getNamer, getNames, getRules`

    - ### Methods inherited from interface org.gradle.api.DomainObjectCollection

      `all, all, whenObjectAdded, whenObjectAdded, whenObjectRemoved, whenObjectRemoved, withType, withType`

    - ### Methods inherited from interface java.util.Collection

      `clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

    - ### Methods inherited from interface java.util.Set

      `add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`